# Copyright (c) 2020-2021, NVIDIA CORPORATION. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""clara-viz-core: Core functionality for Clara Viz."""

from ._version import __version__

from .datadefinition import DataDefinition

# import C++ bindings ('_viz') to be exported by the 'clara.viz.core' (without underline) package
try:
    from ._viz import Array, ImageCapsule, ImageType, InterfaceSelector, Renderer, VideoStream, ViewMode
except ImportError:
    from _viz import Array, ImageCapsule, ImageType, InterfaceSelector, Renderer, VideoStream, ViewMode
